%global momorel 4

Summary: Audio visualisation framework
Name: libvisual
Version: 0.2.0
Release: %{momorel}m
License: LGPL
URL: http://localhost.nl/~synap/libvisual/
Group: System Environment/Libraries
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/libvisual/%{name}-%{version}.tar.gz 668236dcbd252c70f1beff551f36b8b3
Patch0: %{name}-ppc.patch
Patch1: %{name}-%{version}-movd.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Libvisual is a library that acts as a middle layer between applications
that want audio visualisation and audio visualisation plugins.

Libvisual is aimed at developers who have a need for audio visualisation
and those who actually write the visualisation plugins.

%package devel
Group: Development/Libraries
Summary: Header files of the audio visualisation framework 
Requires: %{name} = %{version}-%{release}

%description devel
Libvisual is a library that acts as a middle layer between applications
that want audio visualisation and audio visualisation plugins.

Libvisual is aimed at developers who have a need for audio visualisation
and those who actually write the visualisation plugins.

%prep
%setup -q
%patch0 -p0 -b .ppc
%patch1 -p1 -b .movd

%build
%ifarch %{ix86}
   export CFLAGS="%{optflags} -mmmx"
%endif
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# directories the libvisual plugins need
mkdir -p %{buildroot}%{_libdir}/libvisual/{actor,input,morph,transform}
mkdir -p %{buildroot}%{_datadir}/libvisual/{actor,input,morph}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/libvisual.so.*
%{_libdir}/libvisual
%{_datadir}/libvisual

%files devel
%defattr(-,root,root)
%{_includedir}/libvisual
%{_libdir}/pkgconfig/libvisual.pc
%{_libdir}/libvisual.la
%{_libdir}/libvisual.so

%changelog
* Tue Jun 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-4m)
- version down to 0.2.0 for stable release

* Mon Jun 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-2m)
- import libvisual-link.patch from PLD Linux
 +- Revision 1.14  2005/03/20 17:06:58  qboosh
 +- added link patch, revised BRs, release 3

* Mon Jun 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- update to version 0.4.0 for amarok-1.4.1
- remove ppc.patch and movd.patch

* Fri Jan  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-3m)
- import libvisual-0.2.0-movd.patch from gentoo-x86-portage
 +* 12 May 2005; Eldad Zack <eldad@gentoo.org>
 +- +files/libvisual-0.2.0-movd.patch, libvisual-0.2.0.ebuild:
 +- Fixed assembler movd misuse. Patch provided by Nickolay Kolchin-Semyonov
 +- <nbkolchin@yandex.ru>. Closes Bug 86859.

* Tue Nov  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.0-2m)
- fixed build on gcc4. 
- add "export CFLAGS="%{optflags} -mmmx"

* Sat Feb 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- update to 0.2.0
- import ppc.patch from SUSE 9.2 supplementary
 +* Tue Feb 08 2005 - hvogel@suse.de
 +- fix build on ppc

* Thu Dec  8 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.7-1m)
- update to 0.1.7

* Thu Sep 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.6-1m)
- import from cooker

* Sun Sep 12 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.6-1mdk
- New release 0.1.6

* Wed Jun 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.5-1mdk
- fix installation
- New release 0.1.5

* Fri Jun 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.4-1mdk
- initial package
